PeopleForce
K P I

Create key performance indicator

POST
/api/public/v3/performance/key_performance_indicators

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v3/performance/key_performance_indicators" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'title=string&kpi_type=string&metric=string&user_id=string'
{  "data": {    "id": 0,    "title": "string",    "description": "string",    "weight": 0,    "currency_code": "string",    "metric": "string",    "status": "string",    "kpi_type": "string",    "location": {      "id": 0,      "name": "string",      "address": "string",      "time_zone": "string",      "holiday_policy_id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "division": {      "id": 0,      "name": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "department": {      "id": 0,      "name": "string",      "parent_id": 0,      "manager_id": 0,      "department_level": {        "id": 0,        "name": "string",        "hex_color": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "fields": {        "property1": {          "name": "string",          "value": "string"        },        "property2": {          "name": "string",          "value": "string"        }      }    },    "owner": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}